Loading...
Searching...
No Matches
_snd_ump_msg_midi1_note Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | note
uint8_t | velocity

## Detailed Description

MIDI 1.0 Note Off / Note On (32bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi1_note::channel

Channel

## group

uint8_t _snd_ump_msg_midi1_note::group

UMP Group

## note

uint8_t _snd_ump_msg_midi1_note::note

Note (7bit)

## status

uint8_t _snd_ump_msg_midi1_note::status

Status

## type

uint8_t _snd_ump_msg_midi1_note::type

UMP packet type

## velocity

uint8_t _snd_ump_msg_midi1_note::velocity

Velocity (7bit)

The documentation for this struct was generated from the following file:

- /build/alsa-lib-INT9kU/alsa-lib-1.2.15.3/include/ump_msg.h